@charset "UTF-8";
@font-face {
  font-family: DS-Digital;
  src: url("https://cdn.static.zjtpyun.com/common/layout-template/global/css/fonts/DS-DIGIB.TTF");
}
@font-face {
  font-family: Source Han Sans CN;
  src: url("https://cdn.static.zjtpyun.com/common/layout-template/global/css/fonts/SourceHanSansCNRegular.ttf");
}
@font-face {
  font-family: YouSheBiaoTiHei;
  src: url("https://cdn.static.zjtpyun.com/common/layout-template/global/css/fonts/YouSheBiaoTiHei.ttf");
}
html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  background: url(/cas/pages/cotton/img/login_bg.jpg) no-repeat;
  background-size: cover;
  background-position: 100%;
}

* {
  user-select: none;
}

#app {
  height: 100%;
}

/* 背景视频 start */
.video-bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: left top;
  pointer-events: none;
  filter: contrast(1.05);
}

/* 背景视频 end */
/* 头部 start */
.screen-head-com-wrap {
  user-select: none;
  pointer-events: none;
  position: absolute;
  z-index: 3;
  top: -1px;
  width: 100vw;
  height: 5.78125vw;
  overflow: hidden;
}

.screen-head-com {
  position: relative;
  height: 5.7291666667vw;
  width: 100vw;
  background-image: url(/cas/pages/cotton/img/bg_header.png);
  background-size: auto 100%;
  background-repeat: no-repeat;
  background-position: center;
  transform-origin: top left;
}

.screen-head-com .left-info {
  pointer-events: all;
  position: absolute;
  left: 1.09375vw;
  top: 1.3541666667vw;
  font-size: 0.9375vw;
  color: #ffffff;
  display: flex;
  align-items: center;
}
.screen-head-com .left-info > * {
  margin-right: 0.4166666667vw;
}
.screen-head-com .left-info .time-decoration {
  width: 1.1458333333vw;
  height: 1.1458333333vw;
  object-fit: contain;
  object-position: center;
}
.screen-head-com .left-info .time-str {
  position: relative;
  top: -0.0520833333vw;
  white-space: nowrap;
  width: fit-content;
  height: 1.0416666667vw;
  line-height: 1.0416666667vw;
  letter-spacing: 0.0520833333vw;
  font-family: Source Han Sans CN;
  font-weight: bold;
  font-size: 0.9375vw;
  color: #d7e0eb;
  background: linear-gradient(180deg, #ffffff 0%, #a2c6df 100%);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}
.screen-head-com .left-info .time-str + .time-str {
  margin-left: 0.4166666667vw;
}

.screen-head-com .title {
  position: absolute;
  transform: translate(-50%, -50%);
  top: 38%;
  left: 50%;
  filter: drop-shadow(0px 0.15625vw 0.3125vw #00432f);
  font-size: 2.0833333333vw;
  letter-spacing: 0.15625vw;
  padding-left: 0.15625vw;
  font-family: YouSheBiaoTiHei;
  color: #ffffff;
}

.screen-head-com > .right-info {
  position: absolute;
  top: 1.0416666667vw;
  right: 0.625vw;
  display: flex;
  align-items: center;
  pointer-events: all;
}

/* 头部 end */
@font-face {
  font-family: PangMenZhengDaoBiao;
  src: url(/cas/pages/cotton/font/PangMenZhengDaoBiaoTiTi-1.ttf);
}
@media screen and (max-width: 800px) {
  .decoration-box {
    display: none;
  }
}
.login-container {
  position: relative;
  z-index: 2;
}

.login-container__right {
  transform: translate(0%, -50%);
  top: calc((100vh + 5.7291666667vw) / 2);
  position: fixed;
  right: 9.5833333333vw;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.login-container__right .inner_right {
  /*flex: 1;*/
  display: flex;
  flex-direction: column;
  align-items: center;
  filter: drop-shadow(0px 3px 2px #00000080);
}

.login-container__right-header {
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 0px 10px;
  margin-bottom: 44px;
}

.login-container__right-header .project-name {
  white-space: nowrap;
  letter-spacing: 7px;
  padding-left: 7px;
  font-family: PangMenZhengDaoBiao;
  font-weight: 400;
  font-size: 52px;
  color: #dcf5fe;
  filter: drop-shadow(-3px 3px 2px rgba(5, 25, 32, 0.28));
}

.login-container__right-header .pinyin {
  letter-spacing: 2px;
  white-space: nowrap;
  font-family: Source Han Sans CN;
  font-weight: 400;
  font-size: 16px;
  color: rgba(220, 245, 254, 0.3);
  filter: drop-shadow(-3px 3px 2px rgba(5, 25, 32, 0.28));
}

.login-container__right-body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 663px;
  height: 713px;
  background-image: url(/cas/pages/cotton/img/container-bg.png);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.login-container__right-body .form-title {
  width: fit-content;
  height: 42px;
  margin-bottom: 50px;
  font-family: YouSheBiaoTiHei;
  font-size: 40px;
  color: #ffffff;
  line-height: 42px;
  background: linear-gradient(180deg, #ffffff 0%, #72d9ff 100%);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

.login-container__right-body .captcha-img {
  margin-left: 11px;
  margin-bottom: 30px;
  height: 58px;
  width: 149px;
  border-radius: 4px;
  cursor: pointer;
}

.login-container__right-footer {
  height: 120px;
  align-items: center;
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin-bottom: 30px;
}

ul.login-container__right-otherlogin__header {
  width: 220px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 72px;
  line-height: 72px;
}

ul.login-container__right-otherlogin__header li {
  width: 50%;
  height: 30px;
  line-height: 30px;
  text-align: center;
  color: #898c85;
}

ul.login-container__right-otherlogin__header li:nth-child(1),
ul.login-container__right-otherlogin__header li:nth-child(3) {
  border-top: 1px solid #898c85;
  position: relative;
  /*top: 15px;*/
  height: 0.5px;
  width: 20%;
}

ul.login-container__right-otherlogin__body {
  flex: 1;
  display: flex;
  width: 340px;
}

ul.login-container__right-otherlogin__body li {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}

ul.login-container__right-otherlogin__body li .login-type {
  height: 40px;
  width: 40px;
  cursor: pointer;
}

ul.login-container__right-otherlogin__body li .login-type.wechart {
  height: 40px;
  width: 50px;
  cursor: pointer;
}

/*form表单 start*/
.form-col {
  display: flex;
  justify-content: center;
  align-items: center;
}

.el-input__inner {
  /*height: 70px;*/
  height: 60px;
  /*line-height: 70px;*/
  line-height: 60px;
}

.el-form-item__content {
  margin-left: initial !important;
}

.el-form-item {
  margin-bottom: 30px;
}

.el-input {
  font-size: 20px;
}

.el-input--customLarge {
  width: 465px !important;
}

.capval .el-input--customLarge {
  width: 300px !important;
  position: relative;
  left: -2px;
}

.login-container{
  background-color: initial !important;
}

.login-container .el-form-item__content {
  text-align: center !important;
  margin: auto !important;
}

.el-input__icon {
  width: 53px;
}

.el-input--prefix .el-input__inner {
  padding-left: 59px;
}

.el-input .el-input__clear {
  font-size: 20px;
}

.el-form-item__error {
  font-size: 16px;
  margin-left: 15%;
}

.el-loading-mask {
  background-color: #3784ea;
  opacity: 0.8;
}

.el-loading-spinner .path {
  stroke: #ffffff;
}

/*form表单 end*/
/* 提交按钮 */

.login-btn:hover {
  filter: brightness(1.1);
}


.bottom {
  display: flex;
  justify-content: center;
}

.login-btn {
  width: 70%;
  cursor: pointer;
  height: 3em;
  background: #17aaf3;
  border: 0;
  text-align: center;
  font-weight: bold;
  color: #FFFFFF;
  text-shadow: 0px 1px 2px rgba(3, 36, 52, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: Source Han Sans CN;
  letter-spacing: 4px;
  border-radius: 4px;
  border: none;
  margin-bottom: 0;
  font-size: 20px;
}

.login-btn:hover {
  filter: brightness(1.1);
}

/* 输入框 */
.login-container .el-input__icon {
  position: relative;
  top: 2px;
  color: #0bcad7;
}

input::-webkit-input-placeholder {
  color: #fefefe !important;
}

.login-container .el-input__inner {
  font-family: Source Han Sans CN;
  color: #bce3ef;
  border: none;
  font-size: 20px;
  background: rgba(69, 174, 213, 0.08);
  border-radius: 4px;
  border: 1px solid #1e7494;
  transition: 0.2s;
  padding-left: 3em;
}
.login-container .el-input__inner:hover {
  background: rgba(69, 174, 213, 0.12);
  border: 1px solid #51d0ff;
}

.login-container .el-input__inner::placeholder {
  color: rgba(35, 215, 254, 0.4) !important;
}

.error_msg {
  margin: 0 15% 20px;
  height: 1em;
  color: #f56c6c !important;
}

.el-form-item .fm-field__icon {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 8.5em;
  width: 1.5em;
}

.el-form-item__content .el-input {
  width: 70%;
  position: relative;
}

.captcha-img-box .el-form-item__content {
  width: 70%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.captcha-img-box .el-input {
  flex: 1;
  width: 50%;
  margin-right: 20px;
}

.captcha-img-box .el-input input {
  text-indent: 0;

}

.captcha-img-box .fm-captcha-img {
  width: 20%;
}
.captcha-img-box .el-form-item__error {
  margin-left: 0;
}

.captcha-img-box .error_msg {
  margin-left: 0;
}


/*input:-webkit-autofill,
textarea:-webkit-autofill,
select:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 1000px rgba(69, 174, 213, 0.08) inset;
  box-shadow: 0 0 0 1000px #fff inset;

  -webkit-text-fill-color: #bce3ef;
  font-family: Source Han Sans CN;
  color: #bce3ef;
  font-size: 20px;
  background: rgba(69, 174, 213, 0.08);
  border-radius: 4px;
  transition: 0.2s;
  padding-left: 3em;
}*/

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  border: 1px solid #1e7494;
  -webkit-box-shadow: 0 0 0 1000px #0f2b5c inset !important;
  box-shadow: 0 0 0 1000px #0f2b5c inset !important;
  -webkit-text-fill-color: #bce3ef !important;
}


/*
.el-form-item {
  height: 4.5em;
  margin: 30px 0 0;
}



.ewm-logo {
  align-self: flex-start;
  height: 1.5em;
  margin-top: 1em;
  z-index: 2;
}

.ewm-title {
  font-size: 1.5em;
  font-weight: bold;
  color: #333333;
  padding: 0.5em;
  z-index: 2;
  background: white;
  width: 100%;
  text-align: center;
}

.ewm-buttom {
  margin-top: 1em;
  width: 200px;
  height: 210px;
  position: relative;
  overflow: hidden;
  scale: 1.3;
  z-index: 1;
}

.ewm-buttom iframe {
  position: absolute;
  width: 200px;
  height: 290px;
  top: -80px;
  overflow: hidden;
  background-color: white;
}

.ewm-msg {
  margin-top: 1.5em;
  padding: 0.5em;
  color: #555555;
  font-size: 1.2em;
  line-height: 1.2em;
  font-weight: bold;
  display: flex;
  align-items: center;
  z-index: 2;
  background-color: white;
  width: 100%;
  justify-content: center;
}

.ewm-msg .icon {
  margin-right: 3px;
  width: 1.2em;
  height: 1.2em;
}

.ewm-msg a {
  color: #117BFF;
  text-decoration: none;
}

.el-checkbox {
  font-size: 15px;
}

.el-checkbox__inner::after {
  border: 2px solid #FFF;
  border-left: 0;
  border-top: 0;
  left: 4px;
  top: 1px;
  width: 4px;
}

.el-button--primary {
  color: #fff;
  background-color: #409eff;
  border-color: #409eff;
}

.el-checkbox__input.is-checked + .el-checkbox__label {
  color: #409eff;
}

.el-checkbox__input.is-checked .el-checkbox__inner, .el-checkbox__input.is-indeterminate .el-checkbox__inner {
  background-color: #409eff;
  border-color: #409eff;
}

.el-input__inner {
  background-color: rgba(255, 255, 255, 0.8);
  border: 1px solid #DCDFE6;
  color: #000;
  border-radius: 10px;
}

.error_msg {
  margin-top: 10px;
  height: 1em;
}

.form-error {
  height: 1em;
  line-height: 1em;
  margin-left: 17%;
  align-self: flex-start;
}

.bg-video {
  position: fixed;
  width: 100vw;
  object-fit: fill;
  height: 100vh;
}


.el-input .el-input__clear {
  font-size: 1.5em;
  color: #666666;
}

.el-input__suffix {
  right: 1em;
}

input:-webkit-autofill {
  transition: background-color 5000s ease-in-out 0s;
  -webkit-text-fill-color: #333333 !important;
}

input:-webkit-autofill:focus {
  -webkit-text-fill-color: #333333 !important;
}

@media (max-width: 1400px) {
  .tp-login-box {
    transform: translate(100px, -50%) scale(0.6);
  }
}

@media (min-width: 1401px) and (max-width: 1600px) {
  .tp-login-box {
    transform: translate(75px, -50%) scale(0.7);
  }
}

@media (min-width: 1601px) and (max-width: 1800px) {
  .tp-login-box {
    transform: translate(50px, -50%) scale(0.8);
  }
}

@media (min-width: 1801px) and (max-width: 2201px) {
  .tp-login-box {
    transform: translate(25px, -50%) scale(1);
  }
}

@media (min-width: 2561px) {
  .tp-login-box {
    transform: translate(-50px, -50%) scale(1.2);
  }
}
*/
